Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.shared
Interface PlotOptions.Series

All Known Implementing Classes:
  JSMPlotOptions.JSMSeries

Enclosing interface:
  PlotOptions

    public static interface PlotOptions.Series

Nested Class Summary
`static interface` | `PlotOptions.Series.DataLabels`
`static interface` | `PlotOptions.Series.Marker`
`static interface` | `PlotOptions.Series.States`

Method Summary
`int` | `getBorderWidth()`
`PlotOptions.Series.DataLabels` | `getDataLabels()`
`double` | `getFillOpacity()`
`int` | `getLineWidth()`
`PlotOptions.Series.Marker` | `getMarker()`
`java.lang.String` | `getStacking()`
`PlotOptions.Series.States` | `getStates()`
`boolean` | `isAllowPointSelect()`
`boolean` | `isShadow()`
`PlotOptions.Series` | `setAllowPointSelect(boolean allowPointSelect)`
`PlotOptions.Series` | `setBorderWidth(int borderWidth)`
`PlotOptions.Series` | `setFillOpacity(double fillOpacity)`
`PlotOptions.Series` | `setLineWidth(int lineWidth)`
`PlotOptions.Series` | `setShadow(boolean shadow)`
`PlotOptions.Series` | `setStacking(java.lang.String stacking)`
`PlotOptions.Series` | `setStates(PlotOptions.Series.States states)`

Method Detail

### getMarker

    PlotOptions.Series.Marker getMarker()

### getStacking

    java.lang.String getStacking()

### getStates

    PlotOptions.Series.States getStates()

### getFillOpacity

    double getFillOpacity()

### isAllowPointSelect

    boolean isAllowPointSelect()

### getDataLabels

    PlotOptions.Series.DataLabels getDataLabels()

### isShadow

    boolean isShadow()

### getLineWidth

    int getLineWidth()

### setStates

    PlotOptions.Series setStates(PlotOptions.Series.States states)

### setStacking

    PlotOptions.Series setStacking(java.lang.String stacking)

### setFillOpacity

    PlotOptions.Series setFillOpacity(double fillOpacity)

### setAllowPointSelect

    PlotOptions.Series setAllowPointSelect(boolean allowPointSelect)

### setShadow

    PlotOptions.Series setShadow(boolean shadow)

### setLineWidth

    PlotOptions.Series setLineWidth(int lineWidth)

### setBorderWidth

    PlotOptions.Series setBorderWidth(int borderWidth)

### getBorderWidth

    int getBorderWidth()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD